package intrinsic.mx.collections;

public class ArrayCollection extends intrinsic.mx.collections.ListCollectionView implements intrinsic.flash.utils.IExternalizable {

	/** Accessors */
	public intrinsic.Array source;

	/** Variables */

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public ArrayCollection() {
}

public ArrayCollection(intrinsic.Array arg0) {
}


/** Static Methods */

/** Methods */
public native void writeExternal(intrinsic.flash.utils.IDataOutput arg0);
public native void readExternal(intrinsic.flash.utils.IDataInput arg0);

}
